# jsonroot

Sets the JSON path that receives the extracted fields.

This parameter applies to Fields Extraction Module (mmfields).

Name:

  jsonroot

Scope:

  input

Type:

  string

Default:

  `!`

Required?:

  no

Introduced:

  7.5.1

## Description

This parameter specifies into which JSON path the extracted fields shall be written. The default is to use the JSON root object itself.

## Input usage

    module(load="mmfields")
    action(type="mmfields" jsonRoot="!mmfields")

## See also

This parameter is part of the Fields Extraction Module (mmfields) module.

Support: rsyslog Assistant | GitHub Discussions | GitHub Issues: rsyslog source project

Contributing: Source & docs: rsyslog source project

© 2008–2025 Rainer Gerhards and others. Licensed under the Apache License 2.0.